Ticket #69 (closed bug: fixed)

Opened 13 years ago

Last modified 12 years ago

The configuration-part of scons should also check for a c++-compiler

Reported by: arnonym Assigned to: arnonym
Priority: major Milestone: FFADO 2.0
Component: Version:
Keywords: Cc: arnold@arnoldarts.de
The device the bug applies to:

Description

Last week I had two funny hours at work realizing in the end that on some distributions if the package gcc is installed, it doesn't mean that there is a c++ compiler (g++) installed, just gcc...

So maybe like checking for stdio.h we should also check for iostream.

Change History

01/17/08 01:31:07 changed by arnonym

  • status changed from new to closed.
  • resolution set to fixed.

see r851

10/20/08 12:49:06 changed by arnonym

  • status changed from closed to reopened.
  • resolution deleted.

Seems as if the checks are still not right...

I will deal with this the next days/weeks.

10/29/08 14:23:31 changed by arnonym

  • cc set to arnold@arnoldarts.de.
  • status changed from reopened to closed.
  • resolution set to fixed.

I hope to have this tackled with r1389, will forward-port this to trunk shortly.

Please re-open this report if it still doesn't work...

10/29/08 15:54:22 changed by arnonym

(In [1395]) Forward-port the changes to the configure-checks to fix #69 (r1389 - r1393).